package com.yinet.wsyy.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 网上预约列表对象 wsyy
 *
 * @author yinet
 * @date 2019-09-02
 */
public class Wsyy extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String wsyyId;

    /**
     * 1企业设立 2企业变更注销 3个体
     */
    @Excel(name = "业务类型", readConverterExp = "1=企业设立,2=企业变更注销,3=个体")
    private Long type;

    /**
     * 办理网点
     */
    @Excel(name = "办理网点")
    private String site;

    /**
     * 办理地址
     */
    @Excel(name = "办理地址")
    private String address;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String entName;

    /**
     * 1变更 2注销
     */
    @Excel(name = "企业业务类型", readConverterExp = "1变更,2注销")
    private Integer businessType;

    /**
     * 申请类型 1个人 2代办
     */
    @Excel(name = "申请类型", readConverterExp = "1=个人,2=代办")
    private Integer applyType;

    /**
     * 身份证号
     */
    @Excel(name = "身份证号")
    private String idNum;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phongNum;

    /**
     * 代办公司
     */
    @Excel(name = "代办公司")
    private String agcy;
    /**
     * 时间段
     */
    @Excel(name = "预约日期", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date bookedDay;
    /**
     * 时间段
     */
    @Excel(name = "预约时间段")
    private String bookedTime;

    /**
     * 预约人姓名
     */
    @Excel(name = "预约人姓名")
    private String applyForName;

    /**
     * 经营场所所属
     */
    @Excel(name = "经营场所所属")
    private String businessBelongs;

    /**
     * 记录提交时间
     */
    @Excel(name = "记录提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    public void setWsyyId(String wsyyId) {
        this.wsyyId = wsyyId;
    }

    public String getWsyyId() {
        return wsyyId;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getType() {
        return type;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getSite() {
        return site;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public String getEntName() {
        return entName;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    public Integer getBusinessType() {
        return businessType;
    }

    public void setApplyType(Integer applyType) {
        this.applyType = applyType;
    }

    public Integer getApplyType() {
        return applyType;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setPhongNum(String phongNum) {
        this.phongNum = phongNum;
    }

    public String getPhongNum() {
        return phongNum;
    }

    public void setAgcy(String agcy) {
        this.agcy = agcy;
    }

    public String getAgcy() {
        return agcy;
    }

    public Date getBookedDay() {
        return bookedDay;
    }

    public void setBookedDay(Date bookedDay) {
        this.bookedDay = bookedDay;
    }

    public void setBookedTime(String bookedTime) {
        this.bookedTime = bookedTime;
    }

    public String getBookedTime() {
        return bookedTime;
    }

    public void setApplyForName(String applyForName) {
        this.applyForName = applyForName;
    }

    public String getApplyForName() {
        return applyForName;
    }

    public void setBusinessBelongs(String businessBelongs) {
        this.businessBelongs = businessBelongs;
    }

    public String getBusinessBelongs() {
        return businessBelongs;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wsyyId", getWsyyId())
                .append("type", getType())
                .append("site", getSite())
                .append("address", getAddress())
                .append("entName", getEntName())
                .append("businessType", getBusinessType())
                .append("applyType", getApplyType())
                .append("idNum", getIdNum())
                .append("phongNum", getPhongNum())
                .append("agcy", getAgcy())
                .append("bookedDay", getBookedDay())
                .append("bookedTime", getBookedTime())
                .append("applyForName", getApplyForName())
                .append("businessBelongs", getBusinessBelongs())
                .append("submitTime", getSubmitTime())
                .toString();
    }
}
